메인 콘텐츠로 건너뛰기
POST
/
api
/
v2
/
orders
/
wtr-embed
cURL
curl -X POST https://morimori.app/api/v2/orders/wtr-embed \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "idempotencyKey": "key-embed-001",
    "files": [
      {
        "fileName": "image.jpg",
        "watermarks": [{"text": "MORI_WATERMARK"}]
      }
    ]
  }'
{
  "data": {
    "orderName": "<string>",
    "orderId": "<string>",
    "files": [
      {
        "fileId": "<string>",
        "fileName": "<string>",
        "uploadUrl": "<string>",
        "fileKey": "<string>"
      }
    ]
  }
}

인증

Authorization
string
header
필수

외부 클라이언트 접근을 위한 API 키

본문

application/json
idempotencyKey
string
필수

멱등성 키

files
object[]
필수
Required array length: 1 - 100 elements

응답

주문 생성 성공

data
object